/*
 * Class CONTAINER [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_535 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_535 [] = {0xFF01,237,534,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_535 [] = {0xFF01,534,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_535 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_535 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_535 [] = {0xFF01,534,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_535 [] = {0xFF01,534,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_535 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_535 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_535 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_535 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_535 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_535 [] = {534,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_535 [] = {0xFF01,534,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_535 [] = {0xFF01,535,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_535 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_535[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_535), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_535), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_535), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_535), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_535), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_535), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_535), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_535), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_535), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_535), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_535), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_535), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_535), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_535), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1886, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_535), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_535), -1, 0xFFFFFFFF},
};
void Init535(void)
{
	IDSC(desc_535, 0, 534);
	IDSC(desc_535 + 1, 1, 534);
	IDSC(desc_535 + 32, 77, 534);
}


#ifdef __cplusplus
}
#endif
